Class | Merb::Test::Rspec::ControllerMatchers::Provide
In: | lib/merb-core/test/matchers/controller_matchers.rb
Parent: | Object

### Methods

failure_message matches? negative_failure_message new provided_formats

### Public Class methods

new(expected)

### Parameters

expected<Symbol>: | A format to check

### Public Instance methods

failure_message()

#### Returns

String: | The failure message.

matches?(target)

#### Parameters

target<Symbol>: | A ControllerClass or controller_instance

#### Returns

Boolean: | True if the formats provided by the target controller/class include the expected

negative_failure_message()

#### Returns

String: | The failure message to be displayed in negative matches.

provided_formats()

#### Returns

Array[Symbol]: | The formats the expected provides

[Validate]